aboutsummaryrefslogtreecommitdiffstats
path: root/main/dhcp
diff options
context:
space:
mode:
Diffstat (limited to 'main/dhcp')
-rw-r--r--main/dhcp/APKBUILD7
1 files changed, 5 insertions, 2 deletions
diff --git a/main/dhcp/APKBUILD b/main/dhcp/APKBUILD
index 33ad9db8de..02821fbc49 100644
--- a/main/dhcp/APKBUILD
+++ b/main/dhcp/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dhcp
-pkgver=4.2.4_p2
+pkgver=4.2.5_p1
_realver=${pkgver/_p/-P}
pkgrel=0
pkgdesc="ISC Dynamic Host Configuration Protocol (DHCP)"
@@ -51,6 +51,9 @@ package() {
install -m644 -D "$srcdir"/dhcpd.confd "$pkgdir"/etc/conf.d/dhcpd
install -d "$pkgdir"/var/lib/dhcp
install -d "$pkgdir"/var/run/dhcp
+ for i in "$pkgdir"/etc/dhcp/*.example; do
+ mv "$i" "${i%.example}" || return 1
+ done
}
dhclient() {
@@ -75,7 +78,7 @@ dhcrelay() {
"$subpkgdir"/etc/conf.d/dhcrelay
}
-md5sums="fe36056f2d274fa4b82a5422f192e65f dhcp-4.2.4-P2.tar.gz
+md5sums="f68e3c1f00a9af5742bc5e71d567cf93 dhcp-4.2.5-P1.tar.gz
37abf1fb047a353e91b022fafdabf39a linux_ipv6_discover.patch
a9eaf182dae3984670da52f20ae10fba dhcp-3.0-fix-perms.patch
1597c012bb1a2c0828254c87f0a904ad dhcrelay.initd